=== debian/control ===
Source: gst-plugins-good1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               meson (>= 0.48),
               pkg-config (>= 0.11.0),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               liborc-0.4-dev (>= 1:0.4.17),
               libcairo2-dev (>= 1.10.0),
               libcaca-dev,
               libspeex-dev (>= 1.1.6),
               libpng-dev,
               libshout3-dev,
               libjpeg-dev,
               libaa1-dev (>= 1.4p5),
               libflac-dev (>= 1.1.4),
               libdv4-dev | libdv-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxv-dev,
               libx11-xcb-dev,
               libgdk-pixbuf2.0-dev (>= 2.8.0),
               libgtk-3-dev (>= 3.15),
               libtag1-dev (>= 1.5),
               libwavpack-dev (>= 4.60),
               libsoup2.4-dev (>= 2.48),
               libpulse-dev (>= 2.0),
               libbz2-dev,
               libjack-jackd2-dev,
               libvpx-dev (>= 1.5),
               libmp3lame-dev,
               libmpg123-dev (>= 1.13),
               libtwolame-dev (>= 0.3.10),
               qtbase5-dev,
               qtdeclarative5-dev,
               libqt5x11extras5-dev,
               libraw1394-dev (>= 2.0.0) [linux-any],
               libiec61883-dev (>= 1.0.0) [linux-any],
               libavc1394-dev [linux-any],
               libv4l-dev [linux-any],
               libgudev-1.0-dev (>= 147) [linux-any],
               nasm (>= 2.13) [any-amd64]
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-pulseaudio
Architecture: any
Multi-Arch: same
Section: sound
Depends: gstreamer1.0-plugins-good (>= 1.18.0)
Description: GStreamer plugin for PulseAudio (transitional package)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package used to contain the GStreamer plugin for PulseAudio, a
 sound server for POSIX and WIN32 systems.
 .
 This is a transitional package.

Package: gstreamer1.0-qt5
#Architecture: any
Architecture: any-amd64 any-arm64 any-i386 any-mips any-mips64el any-mipsel any-ppc64el any-s390x any-alpha any-hppa any-ia64 any-m68k any-powerpc any-powerpcspe any-ppc64 any-riscv64 any-sh4 any-sparc64 any-x32
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for Qt5
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt5.

Package: gstreamer1.0-gtk3
Architecture: any
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for GTK+3
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for GTK+3.

Package: gstreamer1.0-plugins-good
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
Recommends: gstreamer1.0-x
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
          gstreamer1.0-plugins-ugly (<< 1.13.1),
          gstreamer1.0-pulseaudio (<< 1.18.0)
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1),
        gstreamer1.0-plugins-ugly (<< 1.13.1),
        gstreamer1.0-pulseaudio (<< 1.18.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "good" set, a set
 of good-quality plug-ins under the LGPL license.
