## gst-plugins-good1.0 1.20.1

=== debian/changelog ===
gst-plugins-good1.0 (1.20.1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
  * Update camerabin & jpegformat patches with the 1.20.1 -bad code

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Mar 2022 10:17:46 -0400

gst-plugins-good1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 16:53:45 +0200

gst-plugins-good1.0 (1.20.0-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * Don't require libqt5waylandclient5-dev Build-Depends on i386

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 15:46:03 -0500

gst-plugins-good1.0 (1.20.0-2) unstable; urgency=medium

  * debian/control:
    + Let gstreamer1.0-plugins-good depend on >= 1.20.0 of
      gstreamer1.0-plugins-base as it requires plugins from there.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 10:29:26 +0200

gst-plugins-good1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 08:56:54 +0200

gst-plugins-good1.0 (1.19.90-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 15:04:14 -0500

gst-plugins-good1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 17:06:48 +0200

gst-plugins-good1.0 (1.18.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules,
    debian/control:
    + With #894076 fixed, gstreamer1.0-qt5 builds again on armel/armhf (Closes: #998383).

  [ Samuel Thibault ]
  * debian/control:
    + Build Qt5/Wayland support only on Linux (Closes: #998210).

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2022 11:55:09 +0200

gst-plugins-good1.0 (1.18.5-1ubuntu3) jammy; urgency=medium

  * No change rebuild for the new libvpx soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Nov 2021 13:23:10 +0100
