=== debian/changelog ===
gst-plugins-good1.0 (1.20.3-1~bpo11+1) bullseye; urgency=medium

  * New upstream bugfix release
  * debian: add Marc Leeman to uploaders
  * debian: add lintian-overrides
  * debian: introduce rtsp connection timeout
  * rtpsession: ignore SSRC collisions
  * debian: import 0003-rtspsrc-do-not-stop-streaming.patch
  * debian: ignore more failing tests

 -- Marc Leeman <m.leeman@televic.com>  Wed, 28 Sep 2022 09:48:16 +0200

gst-plugins-good1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for gstreamer1.0-pulseaudio.
  * Move transitional package gstreamer1.0-pulseaudio to oldlibs/optional per
    policy 4.0.1.
  * Update standards version to 4.6.0, no changes needed.
  * Remove field Section on binary package gstreamer1.0-plugins-good that
    duplicates source.

  [ Jeremy Bicha ]
  * Don't ignore dh_auto_test failures on amd64 & arm64.
  * Add a patch to skip 2 test failures.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jun 2022 09:36:08 +0300

gst-plugins-good1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:04:35 +0300
