=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <m.leeman@televic.com>,
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
@@ -46,25 +46,23 @@
                qtbase5-private-dev,
                qtdeclarative5-dev,
                libqt5x11extras5-dev,
-               libqt5waylandclient5-dev [!hurd-any !kfreebsd-any !i386],
+               libqt5waylandclient5-dev [linux-any],
                libraw1394-dev (>= 2.0.0) [linux-any],
                libiec61883-dev (>= 1.0.0) [linux-any],
                libavc1394-dev [linux-any],
                libv4l-dev [linux-any],
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
-Standards-Version: 4.5.0
-Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-pulseaudio
 Architecture: any
 Multi-Arch: same
-Section: sound
-Depends: gstreamer1.0-plugins-good (>= 1.20.0)
+Section: oldlibs
+Depends: gstreamer1.0-plugins-good (>= 1.20.0), ${misc:Depends}
 Description: GStreamer plugin for PulseAudio (transitional package)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -131,12 +129,10 @@
 Package: gstreamer1.0-plugins-good
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
          gstreamer1.0-plugins-base (>= 1.20.0),
-         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup2.4-1 (>= 2.48) | libsoup3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -162,42 +158,3 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
-
-Package: libgstreamer-plugins-good1.0-0
-Architecture: any
-Section: libs
-Priority: optional
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
-          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains shared GStreamer libraries from the "good" set. The API
- is not guaranteed to be stable.
-
-Package: libgstreamer-plugins-good1.0-dev
-Architecture: any
-Section: libdevel
-Priority: optional
-Depends: ${misc:Depends},
-     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
-     libgstreamer1.0-dev
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains development files for GStreamer libraries from the
- "good" set. The API is not guaranteed to be stable.
