=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,13 @@
 	rm -rf $(CURDIR)/fake-home
 	dh_auto_clean
 
+# Only make the tests fail for key architectures
 override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+	xvfb-run dh_auto_test
+else
 	xvfb-run dh_auto_test || true
+endif
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='gstreamer1.0-plugins-good-dbg (<< 1.17.1-1~)'
@@ -67,6 +72,5 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
-	    dh_gstscancodecs
+	dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home
